Skip to main content
POST
/
api
/
v1
/
knowledge
/
documents
/
upload
Upload knowledge document
curl --request POST \
  --url http://127.0.0.1:4000/api/v1/knowledge/documents/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'projectId=<string>' \
  --form 'source=<string>'
{
  "id": "<string>",
  "name": "<string>",
  "fileType": "<string>",
  "source": "<string>",
  "projectId": "<string>",
  "version": 123,
  "checksum": "<string>",
  "filePath": "<string>",
  "markdownPath": "<string>",
  "converterCommand": "<string>",
  "converterMeta": {},
  "errorMessage": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://familyco.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
file
required

Document file to upload

projectId
string

Optional project scope

source
string

Optional source label

Response

Document uploaded

id
string
required
name
string
required
fileType
string
required
source
string
required
projectId
string | null
required
version
integer
required
status
enum<string>
required
Available options:
uploaded,
indexing,
indexed,
failed
checksum
string
required
filePath
string
required
markdownPath
string | null
required
converterCommand
string | null
required
converterMeta
object
required
errorMessage
string | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required